Bug 852076 - [RHEVM] [backend] "Error while executing action Setup Networks: Internal oVirt Engine Error" is thrown on wrong RHEVM gateway (missing validation)
[RHEVM] [backend] "Error while executing action Setup Networks: Internal oVir...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Moti Asayag
Martin Pavlik
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 10:16 EDT by Martin Pavlik
Modified: 2016-02-10 14:59 EST (History)
8 users (show)

See Also:
Fixed In Version: si17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:07:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm.log + engine.log (77.92 KB, application/x-gzip)
2012-08-27 10:16 EDT, Martin Pavlik
no flags Details
screenshot 1 (227.22 KB, image/png)
2012-08-27 10:18 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2012-08-27 10:16:01 EDT
Created attachment 607212 [details]
vdsm.log + engine.log

Description of problem:
1) If user puts incomplete IP address (e.g. 10.34.66. )in Default Gateway field for RHEVM interface, UI displays following error:

Error while executing action Setup Networks: Internal oVirt Engine Error

while backend log displays exact cause of problem VDSNetworkException: Bad gateway: '10.34.66.'

error message in UI should be improved


Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization Manager Version: '3.1.0-13.el6ev' 

How reproducible:
100%

Steps to Reproduce:
1.Add host to setup
2.Hosts -> your host -> Setup Host Networks -> click penci icon on rhevm network -> Boot Protocol:Static -> fill in proper IP and mask fill in incomplete GW (e.g. 10.34.66. ) -> click OK -> click OK
  
Actual results:
Error while executing action Setup Networks: Internal oVirt Engine Error

Expected results:
error message in UI should be improved, e.g. Bad gateway: '10.34.66.'


Additional info:
Gateway field is not mandatory however check which would make sure that either nothing is filled or IP which has format XXX.XXX.XXX.XXX would be good, at least it would save the time which user has to wait until error message is returned.


2012-08-27 15:28:38,330 ERROR [org.ovirt.engine.core.vdsbroker.VDSCommandBase] (ajp-/127.0.0.1:8009-6) [75f4fbcd] Command SetupNetworksVDS execution failed. Exception: RuntimeException: org.ovirt.engine.core.vdsbroker.vdsbroker.VDSNetworkException: VDSGenericException: VDSNetworkException: Bad gateway: '10.34.66.'
Comment 1 Martin Pavlik 2012-08-27 10:18:37 EDT
Created attachment 607213 [details]
screenshot 1
Comment 2 Moti Asayag 2012-08-30 10:31:23 EDT
A suggested patch:

http://gerrit.ovirt.org/#/c/7634/

Note You need to log in before you can comment on or make changes to this bug.